﻿
# **Inno Monitor**

---

## 说明

Inno Monitor是一款矿机批量管理软件，具有以下基本功能：

* 查询指定IP范围内的所有矿机信息

* 对多台矿机进行升级固件、设置矿池、切换运行模式、重启、恢复出厂设置等批量操作

* 统计矿机运行情况，生成报表

## 变更日志

### v1.0.0 beta

beta测试初版

* 支持查询指定IP范围内的矿机信息
* 支持矿机列表的排序、筛选
* 支持矿机信息导出
* 支持批量设置矿池、升级固件、设置运行模式、修改登录密码、恢复DHCP、重启、恢复出厂设置
* 支持信息统计、报表生成及导出功能
* 支持监听矿机上报IP功能
* 支持简体中文和英文界面
* 配置文件保存和加载功能

### v1.0.1 beta

* 增加Q&A页面
* 设置页面增加固件升级传输超时配置功能
* 增加配置文件版本检查
* 调整应用程序高度，以适应大部分笔记本电脑

### v1.0.2 beta

* IPCSV格式调整, 支持NUC兼容的IPCSV格式
* 扫描时支持离线矿机显示
* 其它BUG修复

### v1.0.3 beta

* 修复矿机列表中矿池为空白的问题

### v1.0.4 beta

* 矿机列表加入显示电源厂商和版本的支持，默认不显示
* 修复批量升级故障
* 其他BUG修复

### v1.0.5 beta

* 修复部分型号路由器和矿机WEB接口冲突导致扫描失败的问题
* 修复LED熄灭功能失效的问题

### v1.0.6 beta

* 增加矿场位置信息的功能

### v1.0.7 beta

* 优化获取矿机位置的功能
* 增加批量待机/唤醒功能

### v1.0.8 beta

* 增加电源故障码显示

### v1.0.9 beta

* 增加T2TH和A9++等新机型支持
* 修复按固件版本筛选不更新任务栏统计信息的问题

### v1.1.0 beta

* 矿机列表增加工厂一栏

### v1.1.1 beta

* 矿机列表增加接受率一栏
* 优化矿池后缀设置

### v1.1.4 beta

* 支持设置待机/唤醒功能并发数和间隔时间
* 批量设置模式功能默认勾选“需要重启”
* 其他功能优化

### v2.0.0

* 增加RPC查询功能
* 去掉矿机列表的选定行改变时自动将矿池填入矿池设置页面的功能

### v2.0.2

* RPC功能完善, 已支持全部批处理操作
* 修复按算力排序的问题
* IP范围列表增加标题列

### v2.0.4

* RPC增加升级等功能
* 修复已知缺陷

### v2.0.5

* 查询时提示密码错误的矿机数量
* 部分页面宽度可调
* RPC功能增加多用户支持
* RPC功能稳定性优化

### v2.0.6

* 优化取消操作时的效率问题

### v2.0.7

* 界面显示RPC版本
* 修复查询到无效数据时进度条卡死的问题
* 修复其他已知缺陷

### v2.0.8

* 支持T3+等新机型
* RPC功能完善

### v2.1.0

* 增加客户远程支持功能
* 修复已知缺陷

### v2.1.1

* 修复启动RPC服务的故障
* 程序无法正常启动时增加必要的诊断信息

### v2.1.2

* 支持离线矿机批量操作, 固件版本太低无法扫描出来时可进行批量升级
* 修复离线矿机操作时的缺陷
* 远程支持功能增加日志显示

### v2.1.3

* 解决RPC多客户端访问同一服务端时的冲突问题
* 解决RPC操作结果更新不及时的问题
* 批量操作首批全部失败时提示用户取消操作

### v2.1.4

* 解决RPC功能的已知问题
