﻿
# **Inno Monitor Q & A**

---

**Q: 哪些矿机可以使用本软件进行批量管理？**

> **A:** 任何型号的INNOSILICON矿机只要升级到2019年3月或以后的固件版本之后均可以使用本软件进行管理。

**Q: 应该如何设置扫描的IP范围？**

> **A:** IP范围的起始和结束IP的前两位应该相同，且起始IP在结束IP之前。同时，需要注意的是类似192.168.0.100~192.168.1.200这样的IP范围，实际包含了192.168.0.100~192.168.0.200和192.168.1.100~192.168.1.200这两段（含首尾），并不包含192.168.0.201~192.168.0.255。

**Q: 为什么扫描结果比预期的在线机器数量少？**

> **A:** 可以在菜单栏进入“选项->设置->查询”页面修改查询参数，适当减少“并发数”，增大“超时”，然后重新扫描。对于大型矿场而言，典型的“并发数”和“超时”分别为500、20。另一种情况是矿机固件版本较旧，需要升级到2019年3月份或以后的固件版本才可以扫描到。另外，如果扫描结果缺少少量机器（如1%以内），可能是由于这些机器运行不稳定，在不断重启。

**Q: 扫描时如何显示离线矿机？**

> **A:** 日常运维有时不仅需要显示在线的矿机，扫描结果还需要包含离线矿机，便于统计。进入菜单栏“选项->设置->查询”页面，勾选“显示离线矿机”并保存，重新扫描就会看到IP范围中包含的所有IP都显示在矿机列表中，离线矿机除了IP和错误码之外，没有任何其它有效信息。

**Q: 错误码-1、-2、-3、-4分别表示什么意思？**

> **A:** 当开启了“显示离线矿机”功能后，离线矿机不在线的原因会在错误码一栏列出。其中，-1表示未知原因；-2表示查询超时，您的网络可能不太稳定；-3表示认证失败，即管理密码不正确；-4表示认证超时，这台矿机可能并未开机。

**Q: 为什么批量操作提示失败，但重新扫描发现实际上成功了？**

> **A:** 可能是由于网络状况不佳，导致软件没有收到矿机返回的数据。进入菜单栏“选项->设置->批处理”页面，适当增大相应的批处理操作的“超时”可以缓解这种情况的发生。

**Q: 为什么批量升级固件提示失败？**

> **A:** 升级失败通常有三种可能的原因，一是固件和待升级的机型不匹配；二是升级包文件的传输占用了大量带宽，导致软件没有收到矿机发出的升级成功的反馈；三是网络带宽不够，无法负担同时向多台矿机传输升级包文件。第二种情况，请在升级失败几分钟后，重新扫描矿机，看是否实际已经升级成功。第三种情况，请进入菜单栏“选项->设置->批处理”页面，减少升级固件的“并发数”，增加“传输超时”后重新尝试。

**Q: 导入IPCSV时csv文件的正确格式是怎样的？**

> **A:** 正确的IPCSV文件每行应至少包含两个IP地址，分别表示起始IP和结束IP，任何不符合此格式的行将会被忽略。

**Q: 导入IPCSV时提示“IP范围太多，是否自动整理？”是什么意思？**

> **A:** 如果IPCSV文件行数太多，软件会提醒用户是否自动将重叠的IP范围合并。如果希望按照原始的IPCSV导入，请选择否。

**Q: 我的矿机有8块算力板，如何显示所有算力板的算力？**

> **A:** 进入菜单栏“选项->设置->矿机信息”页面，在“矿机属性显示/隐藏”表格中勾选需要显示的属性。需要注意的是，“矿池”属性表示当前正在使用的矿池，“矿池1”、“矿池2”、“矿池3”分别表示用户配置的矿池1/2/3，请注意区分。

**Q: 如何使用监听IP功能？**

> **A:** 这个功能用来获取矿机的IP地址。先点击“开始监听”，然后在矿机面板上短按IPSET按键（矿机面板红绿灯同时亮起后立即松开），如果矿机网络连接正常，此时在“监听IP”表格中应该可以看到该矿机的基本信息。

**Q: 什么是待机模式？**

> **A:** 从2019年6月20日开始在部分机型上加入待机功能支持，允许矿机在功耗极低的待机模式下运行，且处于待机模式的矿机无法挖矿。目前仅有部分机型支持该功能，若矿机列表中的“待机”一栏没有显示，说明该机型或该固件版本不支持待机功能。
